# $Revision: 1.9 $, $Date: 2009/11/20 10:55:10 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	SWF
%define	pnam	Builder
Summary:	SWF::Builder - create SWF movie
Summary(pl.UTF-8):	SWF::Builder - tworzenie filmów SWF
Name:		perl-SWF-Builder
Version:	0.16
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/Y/YS/YSAS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1e879b1b70a6d23bed64e0c960918944
URL:		http://search.cpan.org/dist/SWF-Builder/
%if %{with tests}
BuildRequires:	perl-IO-Compress
BuildRequires:	perl-Font-TTF >= 0.34
BuildRequires:	perl-SWF-File >= 0.29
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Font-TTF >= 0.34
Requires:	perl-SWF-File >= 0.29
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	perl(SWF::Builder::ExElement::Color::AddColor)

%description
SWF::Builder is a wrapper of SWF::File. It provides an easy way to
create SWF6 movie.

%description -l pl.UTF-8
SWF::Builder to wrapper na SWF::File. Dostarcza prosty sposób na
tworzenie filmów SWF6.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/asc.plx
%{perl_vendorlib}/SWF/Builder.pm
%{perl_vendorlib}/SWF/Builder
%{_mandir}/man1/asc.plx.1*
%{_mandir}/man3/SWF::Builder*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-SWF-Builder.spec,v $
Revision 1.9  2009/11/20 10:55:10  amateja
- added _noautoreq perl(SWF::Builder::ExElement::Color::AddColor), it's part of ExElement.pm
- release 2

Revision 1.8  2009/10/13 11:48:36  amateja
- updated to 0.16

Revision 1.7  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.5  2006/10/24 20:34:09  ankry
- ver. 0.14

Revision 1.4  2004/12/01 10:13:43  radek
- standarized Source0 URL

Revision 1.3  2004/10/30 14:37:31  qboosh
- fixed files, added URL and md5

Revision 1.2  2004/10/30 00:32:06  qboosh
- pl, cleanups; file list needs fix

Revision 1.1  2004/10/28 13:08:20  grzegorz
- initial spec
